Package org.eclipse.zest.layouts.algorithms

# Class HorizontalShiftAlgorithm

java.lang.Object
org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm
org.eclipse.zest.layouts.algorithms.HorizontalShiftAlgorithm

All Implemented Interfaces:
  `LayoutAlgorithm`

public class HorizontalShiftAlgorithm extends AbstractLayoutAlgorithm
This layout shifts overlapping nodes to the right.

Since:
  2.0

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm

`AbstractLayoutAlgorithm.Zest1`

## Field Summary

### Fields inherited from class org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm

`context`

## Constructor Summary

Constructors
Constructor
Description
`HorizontalShiftAlgorithm()`

## Method Summary

Modifier and Type
Method
Description
`void`
`applyLayout(boolean clean)`
Makes this algorithm perform layout computation and apply it to its context.

### Methods inherited from class org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm

`setLayoutContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HorizontalShiftAlgorithm

public HorizontalShiftAlgorithm()

## Method Details

### applyLayout

public void applyLayout(boolean clean)
Description copied from interface: `LayoutAlgorithm`
Makes this algorithm perform layout computation and apply it to its context.

Parameters:
  `clean` - if true the receiver should assume that the layout context has changed significantly and recompute the whole layout even if it keeps track of changes with listeners. False can be used after dynamic layout in a context is turned back on so that layout algorithm working in background can apply accumulated changes. Static layout algorithm can ignore this call entirely if clean is false.